package com.nisum.service;

import com.nisum.bean.Item;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

public interface ItemService {

    public Mono<Item> saveItem(Item item);
    public Mono<Item> getItem(String id);

    public Mono<Item> updateItem(Item item);


    public Flux<Item> getAllItems();

}
